/*Inclure le fichier d'en-tte*/
#include "dll.h"
#include <stdio.h>





// dfinition du nombre d'entres  
const unsigned char nbentrees = 1;  // 1 entre
// Dfinition du nombre de sorties
const unsigned char nbsorties = 1; //1 sortie
// dfintion des entres et sorties
const unsigned char IN1 = 0;
const unsigned char P03 = 0;

// Dfinition des variables
IOWKIT_HANDLE devHandle;



// Retourne le nombre d'entres 
DLLEXPORT unsigned char _stdcall NumInputs()
{
      return nbentrees;
}
  
// Retourne le nombre de sorties 
DLLEXPORT unsigned char _stdcall NumOutputs()
{
      return nbsorties;
}
  
// Retourne le nom des entres 
DLLEXPORT void _stdcall GetInputName(unsigned char Channel,unsigned char *Name)
{
	
      if (Channel == 0)
	  {
		    Name[0]= 'I';
			Name[1]= 'N';
			Name[2]= '1';
			Name[3]= 0 ;
	  }
}
  
// Retourne le nom des sorties 
DLLEXPORT void _stdcall GetOutputName(unsigned char Channel,unsigned char *Name)
{
 
	switch(Channel)
			{
	case 0: // Sortie 0
			{
			Name[0]= 'P';
			Name[1]= '0';
			Name[2]= '.';
            Name[3]= '3';
            Name[4]= 0;
			break;
			}
	default:;
			}

}
  
// Retourne les conditions au dpart
DLLEXPORT void _stdcall CSimStart(double *PInput, double *POutput, double *PUser)
{
            
        
        // Open device
        devHandle = IowKitOpenDevice();
        if (devHandle == NULL)
        {
        MessageBox(NULL,TEXT("Echec lors de l'ouverture de IOW24"),TEXT("Recherche IOW24"), MB_OK);     
        }
        else
        {
            MessageBox(NULL,TEXT("IOW24 dtect"),TEXT("Recherche IOW24"), MB_OK);
            POutput[0] = 0;
        }	
}


  

// Lire les entres et crire sur la sortie
DLLEXPORT void _stdcall CCalculate(double *PInput, double *POutput, double *PUser)
{
      BOOLEAN rc;
      DWORD Donnees;
      
      if (PInput[IN1] < 2.5) 
      {
           POutput[P03] = 0;
           Donnees = 0x08;                           //Mise  0 de la sortie P0.3
      }
      else 
      {
           POutput[P03] = 5;     
           Donnees = 0x00;                           //Mise  1 de la sortie P0.3
      }
      rc = WriteSimple(devHandle, Donnees);          // !!!! type de variable
      if (!rc)
           MessageBox(NULL,TEXT("Echec lors de l'criture"),TEXT("Ecriture"), MB_OK); 
               
             
}
  
  
// Arrt du programme
DLLEXPORT void _stdcall CSimStop(double *PInput, double *POutput, double *PUser)
{
           // Close device
           IowKitCloseDevice(devHandle);
}




// Configuration du programme
DLLEXPORT void _stdcall CConfigure(double *PUser)
{
MessageBox(NULL,TEXT("Rien  configurer"),TEXT("Config"), MB_OK);
}
